Bug 240537 - multimedia/vlc: add ALTIVEC option, fix build on powerpc64 elfv2, add USES=localbase
Summary: multimedia/vlc: add ALTIVEC option, fix build on powerpc64 elfv2, add USES=lo...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-multimedia (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-12 14:25 UTC by Piotr Kubaj
Modified: 2019-09-30 14:19 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (multimedia)


Attachments
patch (3.61 KB, patch)
2019-09-12 14:25 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-09-12 14:25:54 UTC
Created attachment 207422 [details]
patch

Add ALTIVEC option to enable/disable AltiVec easily when needed.

Fix build with LLVM and AltiVec, altivec.h defines its own bool.

Add USES=localbase.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-09-25 10:46:02 UTC
Approved as mentor (builds on ppcports) pending maintainer review.
Comment 2 commit-hook freebsd_committer 2019-09-30 14:19:30 UTC
A commit references this bug:

Author: pkubaj
Date: Mon Sep 30 14:18:37 UTC 2019
New revision: 513385
URL: https://svnweb.freebsd.org/changeset/ports/513385

Log:
  multimedia/vlc: add ALTIVEC option, fix build on powerpc64 elfv2, add USES=localbase

  Add ALTIVEC option to enable/disable AltiVec easily when needed.

  Fix build with LLVM and AltiVec, altivec.h defines its own bool.

  Add USES=localbase.

  PR:		240537
  Approved by:	linimon (mentor), multimedia (maintainer timeout)

Changes:
  head/multimedia/vlc/Makefile
  head/multimedia/vlc/files/patch-modules_video__chroma_i420__yuy2.c
  head/multimedia/vlc/files/patch-modules_video__filter_deinterlace_merge.c